## MmGdbusCbm

MmGdbusCbm — Generated C code for the org.freedesktop.ModemManager1.Cbm D-Bus interface

## Functions

gchar * | mm_gdbus_cbm_dup_text ()
guint | mm_gdbus_cbm_get_channel ()
guint | mm_gdbus_cbm_get_message_code ()
guint | mm_gdbus_cbm_get_state ()
const gchar * | mm_gdbus_cbm_get_text ()
guint | mm_gdbus_cbm_get_update ()

## Properties

guint | channel | Read / Write
char * | language | Read / Write
guint | message-code | Read / Write
guint | state | Read / Write
char * | text | Read / Write
guint | update | Read / Write

## Types and Values

| MmGdbusCbm
struct | MmGdbusCbmIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusCbm

## Prerequisites

MmGdbusCbm requires GObject.

## Known Implementations

MmGdbusCbm is implemented by MMCbm.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Cbm D-Bus interface in C.

## Functions

### mm_gdbus_cbm_dup_text ()

    gchar *
    mm_gdbus_cbm_dup_text (MmGdbusCbm *object);

Gets a copy of the "Text" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_cbm_get_channel ()

    guint
    mm_gdbus_cbm_get_channel (MmGdbusCbm *object);

Gets the value of the "Channel" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value.

### mm_gdbus_cbm_get_message_code ()

    guint
    mm_gdbus_cbm_get_message_code (MmGdbusCbm *object);

Gets the value of the "MessageCode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value.

### mm_gdbus_cbm_get_state ()

    guint
    mm_gdbus_cbm_get_state (MmGdbusCbm *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value.

### mm_gdbus_cbm_get_text ()

    const gchar *
    mm_gdbus_cbm_get_text (MmGdbusCbm *object);

Gets the value of the "Text" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_cbm_dup_text()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_cbm_get_update ()

    guint
    mm_gdbus_cbm_get_update (MmGdbusCbm *object);

Gets the value of the "Update" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusCbm. |

#### Returns

The property value.

## Types and Values

### MmGdbusCbm

    typedef struct _MmGdbusCbm MmGdbusCbm;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Cbm.

### struct MmGdbusCbmIface

    struct MmGdbusCbmIface {
      GTypeInterface parent_iface;

      guint  (*get_channel) (MmGdbusCbm *object);

      const gchar * (*get_language) (MmGdbusCbm *object);

      guint  (*get_message_code) (MmGdbusCbm *object);

      guint  (*get_state) (MmGdbusCbm *object);

      const gchar * (*get_text) (MmGdbusCbm *object);

      guint  (*get_update) (MmGdbusCbm *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Cbm.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_channel` () | Getter for the “channel” property. |
`get_language` () | Getter for the “language” property. |
`get_message_code` () | Getter for the “message-code” property. |
`get_state` () | Getter for the “state” property. |
`get_text` () | Getter for the “text” property. |
`get_update` () | Getter for the “update” property. |

## Property Details

### The `“channel”` property

      “channel”                  guint

Represents the D-Bus property "Channel".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: 0

### The `“language”` property

      “language”                 char *

Represents the D-Bus property "Language".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: NULL

### The `“message-code”` property

      “message-code”             guint

Represents the D-Bus property "MessageCode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: 0

### The `“state”` property

      “state”                    guint

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: 0

### The `“text”` property

      “text”                     char *

Represents the D-Bus property "Text".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: NULL

### The `“update”` property

      “update”                   guint

Represents the D-Bus property "Update".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusCbm

Flags: Read / Write

Default value: 0